> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Decommitment only

> Submit a decommitment request for an HDP task when running HDP and generating PIE locally. You can optionally provide hdp_output and program_hash, and if not provided, they will be automatically fetched from Atlantic storage using the atlantic_query_id.



## OpenAPI

````yaml /data-processor-api/openapi/openapi-hdp-server.json post /tasks/decommitment
openapi: 3.1.0
info:
  title: Herodotus Data Processor Server API
  description: API documentation for the Herodotus Data Processor Server
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://staging.hdp.api.herodotus.cloud
    description: Staging API endpoint
security: []
tags:
  - name: tasks
    description: Task management endpoints
  - name: health
    description: Health check endpoints
  - name: modules
    description: Module registry endpoints
paths:
  /tasks/decommitment:
    post:
      tags:
        - tasks
      summary: Decommitment only
      description: >-
        Submit a decommitment request for an HDP task when running HDP and
        generating PIE locally. You can optionally provide hdp_output and
        program_hash, and if not provided, they will be automatically fetched
        from Atlantic storage using the atlantic_query_id.
      operationId: createDecommitmentTask
      requestBody:
        description: >-
          Decommitment request with Atlantic query ID and optional HDP output
          data
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DecommitmentRequest'
            example:
              atlantic_query_id: 01KA1F1FY93BP2MWF6BP4Y3GW1
              destination_chain_id: '0x534e5f5345504f4c4941'
              hdp_output:
                mmr_metas:
                  - Poseidon:
                      chain_id: '0xaa37dc'
                      id: '0x30314b345136303433515133424b4d42324e31394d4443595757'
                      root: >-
                        0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e
                      size: '0x2644'
                  - Keccak:
                      chain_id: '0xaa36a7'
                      id: '0x30314a4d484d31413242354d38455336505a57524a505354374d'
                      root_high: '0xb8eb37ccfb5d11f205555666'
                      root_low: '0x8df74acdc8c1fc184081e4a2ec4ccca78c03a541'
                      size: '0x0a813'
                output_tree_root_high: '0x109640f2deb15a8d29ee5bb754a2943a'
                output_tree_root_low: '0xc103b036a12f8f9307b062b11181a726'
                task_hash_high: '0x89bb92c8c305fd8df0fbcc19602339ac'
                task_hash_low: '0x56839c1e7f817be047794dbdc727585f'
              program_hash: >-
                0x34a16478e83f69c4f0bcdb7549d32f92c9b7776bb3f71da06de334f1871eba0
              webhook_url: https://example.com/webhook
        required: true
      responses:
        '202':
          description: Task accepted for decommitment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskCreatedResponse'
              example:
                message: Decommitment-only task has been queued
                uuid: 01J3Z3K2P4W6M8Q0A1B2C3D4E5
        '400':
          description: Bad request - Invalid payload or program hash mismatch
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Invalid destination_chain_id format
        '401':
          description: Missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: Missing Herodotus Cloud X-API-KEY header
        '500':
          description: >-
            Internal server error - Failed to fetch from Atlantic or other
            server errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key: []
components:
  schemas:
    DecommitmentRequest:
      type: object
      required:
        - destination_chain_id
        - atlantic_query_id
      properties:
        atlantic_query_id:
          type: string
        destination_chain_id:
          type: string
          description: Hex chain ID string (e.g., "0xa4b1", "0xaa36a7")
        hdp_output:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/HdpOutputBody'
        program_hash:
          type:
            - string
            - 'null'
        webhook_url:
          type:
            - string
            - 'null'
      example:
        atlantic_query_id: 01KA1F1FY93BP2MWF6BP4Y3GW1
        destination_chain_id: '0x4554485f5345504f4c4941'
        hdp_output:
          mmr_metas:
            - Poseidon:
                chain_id: '0xaa37dc'
                id: '0x30314b345136303433515133424b4d42324e31394d4443595757'
                root: >-
                  0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e
                size: '0x2644'
            - Poseidon:
                chain_id: '0x534e5f5345504f4c4941'
                id: '0x30314a56435052343150314b5759334d45563946594148343853'
                root: >-
                  0x3a2e8b4815132c037baf334416c5585639b250f89dc470893378f9d7ffc18e4
                size: '0x153a8a'
            - Keccak:
                chain_id: '0xaa36a7'
                id: '0x30314a4d484d31413242354d38455336505a57524a505354374d'
                root_high: '0x8df74acdc8c1fc184081e4a2ec4ccca7'
                root_low: '0x8c03a541b8eb37ccfb5d11f205555666'
                size: '0x0a813'
          output_tree_root_high: '0xc103b036a12f8f9307b062b11181a726'
          output_tree_root_low: '0x109640f2deb15a8d29ee5bb754a2943a'
          task_hash_high: '0x56839c1e7f817be047794dbdc727585f'
          task_hash_low: '0x89bb92c8c305fd8df0fbcc19602339ac'
        program_hash: '0x34a16478e83f69c4f0bcdb7549d32f92c9b7776bb3f71da06de334f1871eba0'
        webhook_url: https://example.com/hdp/decommitment/webhook
    TaskCreatedResponse:
      type: object
      required:
        - status
        - message
        - uuid
      properties:
        message:
          type: string
        status:
          type: string
        uuid:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        details:
          type:
            - string
            - 'null'
        error:
          type: string
        message:
          type:
            - string
            - 'null'
        taskId:
          type:
            - string
            - 'null'
    HdpOutputBody:
      type: object
      required:
        - mmr_metas
        - task_hash_low
        - task_hash_high
        - output_tree_root_low
        - output_tree_root_high
      properties:
        hash:
          type:
            - string
            - 'null'
        mmr_metas: {}
        output_tree_root_high:
          type: string
        output_tree_root_low:
          type: string
        task_hash_high:
          type: string
        task_hash_low:
          type: string
      example:
        mmr_metas:
          - Poseidon:
              chain_id: '0xaa37dc'
              id: '0x30314b345136303433515133424b4d42324e31394d4443595757'
              root: >-
                0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e
              size: '0x2644'
          - Poseidon:
              chain_id: '0x534e5f5345504f4c4941'
              id: '0x30314a56435052343150314b5759334d45563946594148343853'
              root: >-
                0x3a2e8b4815132c037baf334416c5585639b250f89dc470893378f9d7ffc18e4
              size: '0x153a8a'
          - Keccak:
              chain_id: '0xaa36a7'
              id: '0x30314a4d484d31413242354d38455336505a57524a505354374d'
              root_high: '0x8df74acdc8c1fc184081e4a2ec4ccca7'
              root_low: '0x8c03a541b8eb37ccfb5d11f205555666'
              size: '0x0a813'
        output_tree_root_high: '0xc103b036a12f8f9307b062b11181a726'
        output_tree_root_low: '0x109640f2deb15a8d29ee5bb754a2943a'
        task_hash_high: '0x56839c1e7f817be047794dbdc727585f'
        task_hash_low: '0x89bb92c8c305fd8df0fbcc19602339ac'
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-API-KEY

````